Package uk.ac.starlink.topcat.plot2

# Class PlaneFigureMode

java.lang.Object
uk.ac.starlink.topcat.plot2.PlaneFigureMode

All Implemented Interfaces:
  `FigureMode`

public abstract class PlaneFigureMode extends Object implements FigureMode
FigureMode implementations for use with a PlanarSurface.

Since:
  20 Feb 2019
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FigureMode`
`ABOVE`
PlanarSurface area above a line formed by joining points.
`static final FigureMode`
`BELOW`
PlanarSurface area below a line formed by joining points.
`static final FigureMode`
`BOX`
PlanarSurface area within a rectangle aligned with the axes.
`static final FigureMode`
`CIRCLE`
PlanarSurface area within a graphics circle.
`static final FigureMode`
`ELLIPSE`
PlanarSurface area within a graphics ellipse (center+radius).
`static final FigureMode`
`LEFT`
PlanarSurface area to the left of a line formed by joining points.
`static final FigureMode[]`
`MODES`
Available polygon modes for use with planar surfaces.
`static final FigureMode`
`OUTSIDE_POLYGON`
Inverse of polygon mode.
`static final FigureMode`
`POLYGON`
PlanarSurface area within the polygon bounded by (>=3) points.
`static final FigureMode`
`RIGHT`
PlanarSurface area to the right of a line formed by joining points.
`static final FigureMode`
`ROTATED_ELLIPSE`
PlanarSurface area within a rotated ellipse.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns a name by which this mode can be presented to the user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.topcat.plot2.FigureMode

`createFigure`

## Field Details

### POLYGON

public static final FigureMode POLYGON
PlanarSurface area within the polygon bounded by (>=3) points.

### BOX

public static final FigureMode BOX
PlanarSurface area within a rectangle aligned with the axes.

### CIRCLE

public static final FigureMode CIRCLE
PlanarSurface area within a graphics circle.

### ELLIPSE

public static final FigureMode ELLIPSE
PlanarSurface area within a graphics ellipse (center+radius).

### ROTATED_ELLIPSE

public static final FigureMode ROTATED_ELLIPSE
PlanarSurface area within a rotated ellipse.

### OUTSIDE_POLYGON

public static final FigureMode OUTSIDE_POLYGON
Inverse of polygon mode.

### BELOW

public static final FigureMode BELOW
PlanarSurface area below a line formed by joining points.

### ABOVE

public static final FigureMode ABOVE
PlanarSurface area above a line formed by joining points.

### LEFT

public static final FigureMode LEFT
PlanarSurface area to the left of a line formed by joining points.

### RIGHT

public static final FigureMode RIGHT
PlanarSurface area to the right of a line formed by joining points.

### MODES

public static final FigureMode[] MODES
Available polygon modes for use with planar surfaces.

## Method Details

### getName

public String getName()
Description copied from interface: `FigureMode`
Returns a name by which this mode can be presented to the user. It should distinguish this object from other options that may be available in the same context, but not necessarily from all other possible instances.

Specified by:
  `getName` in interface `FigureMode`
Returns:
  user-directed name